Last Comment Bug 731807 - Error building mozilla-central on Windows 8 - 'ksguid.lib' not found
: Error building mozilla-central on Windows 8 - 'ksguid.lib' not found
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: x86_64 Windows 8
: -- normal (vote)
: mozilla14
Assigned To: Jim Mathies [:jimm]
:
Mentors:
Depends on: 740324
Blocks: VC11 cubeb 732518 elm-merge
  Show dependency treegraph
 
Reported: 2012-02-29 14:53 PST by Jim Mathies [:jimm]
Modified: 2012-11-20 03:01 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v.1 (696 bytes, patch)
2012-02-29 20:10 PST, Jim Mathies [:jimm]
no flags Details | Diff | Review
fix v.1 (1.27 KB, patch)
2012-02-29 20:11 PST, Jim Mathies [:jimm]
no flags Details | Diff | Review
fix (1.27 KB, patch)
2012-03-21 16:35 PDT, Jim Mathies [:jimm]
khuey: review+
Details | Diff | Review

Description Jim Mathies [:jimm] 2012-02-29 14:53:48 PST
It appears ksguid.lib is not distributed with the current sdk.

https://developer.mozilla.org/en/Windows_8

make[4]: Entering directory `/c/Mozilla/MC-DBG/layout/media'
c:/mozilla-build/python/python2.7.exe /c/Mozilla/mc/config/pythonpath.py -I../../config /c/Mozilla/mc/config/expandlibs_exec.py --uselist --
 link -NOLOGO -DLL -OUT:gkmedias.dll -PDB:gkmedias.pdb -SUBSYSTEM:WINDOWS -MACHINE:X86     ./module.res -LARGEADDRESSAWARE -NXCOMPAT -DYNAMI
CBASE -SAFESEH  -DEBUG -DEBUGTYPE:CV -DEF:symbols.def   ../../gfx/ots/src/mozots.lib ../../media/libvorbis/lib/vorbis.lib ../../media/libogg
/src/ogg.lib  ../../media/libtheora/lib/theora.lib  ../../media/libnestegg/src/nestegg.lib  ../../media/libvpx/vpx.lib ../../media/libsydney
audio/src/sydneyaudio.lib  ../../media/libcubeb/src/cubeb.lib  ../../gfx/angle/angle.lib  ../../dist/lib/mozalloc.lib c:/Mozilla/MC-DBG/dist
/lib/nspr4.lib c:/Mozilla/MC-DBG/dist/lib/plc4.lib c:/Mozilla/MC-DBG/dist/lib/plds4.lib  ../../modules/zlib/src/mozz.lib winmm.lib ksguid.li
b c:/Mozilla/MC-DBG/dist/lib/mozglue.lib kernel32.lib user32.lib gdi32.lib winmm.lib wsock32.lib advapi32.lib
LINK : fatal error LNK1104: cannot open file 'ksguid.lib'
make[4]: *** [gkmedias.dll] Error 80
make[4]: Leaving directory `/c/Mozilla/MC-DBG/layout/media'
make[3]: *** [libs] Error 2
make[3]: Leaving directory `/c/Mozilla/MC-DBG/layout'
make[2]: *** [libs_tier_platform] Error 2
make[2]: Leaving directory `/c/Mozilla/MC-DBG'
make[1]: *** [tier_platform] Error 2
make[1]: Leaving directory `/c/Mozilla/MC-DBG'
make: *** [default] Error 2
Comment 1 Jim Mathies [:jimm] 2012-02-29 20:10:05 PST
Created attachment 601862 [details] [diff] [review]
fix v.1
Comment 2 Jim Mathies [:jimm] 2012-02-29 20:11:01 PST
Created attachment 601864 [details] [diff] [review]
fix v.1
Comment 3 Jim Mathies [:jimm] 2012-03-21 16:35:07 PDT
Created attachment 608138 [details] [diff] [review]
fix

khuey you approved the original landing so seeking r? from you. This minor touch up patch kills off a lib dependency which isn't available in the win8 dev kit.
Comment 5 Ed Morley [:emorley] 2012-03-28 14:24:46 PDT
https://hg.mozilla.org/mozilla-central/rev/26dbed3d9a87

Note You need to log in before you can comment on or make changes to this bug.